Lavalite package that provides todo management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litepci/todo`.

    "litepci/todo": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litepci\Todo\Providers\TodoServiceProvider::class,

And also add it to alias

    'Todo'  => Litepci\Todo\Facades\Todo::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litepci\\TodoTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litepci\Todo\Providers\TodoServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litepci\Todo\Providers\TodoServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litepci\Todo\Providers\TodoServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/todo/{modulename}

**User**

    http://path-to-route-folder/user/todo/{modulename}

**Public**

    http://path-to-route-folder/todos


### API endpoints

**List**

    http://path-to-route-folder/api/user/todo/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/todo/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/todo/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/todo/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/todo/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/todo/{modulename}/{slug}
    METHOD: GET