<?php

// API routes  for todo
Route::prefix('{guard}/todo')->group(function () {
    Route::get('todo/form/{element}', 'TodoAPIController@form');
    Route::resource('todo', 'TodoAPIController');
});

// Public routes for todo
Route::get('todos/', 'TodoPublicController@index');
Route::get('todos/{slug?}', 'TodoPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for todos
            Route::prefix('{guard}/todo')->group(function () {
                Route::get('todo/form/{element}', 'TodoAPIController@form');
                Route::apiResource('todo', 'TodoAPIController');
            });
            // Public routes for todos
            Route::get('todo/Todo', 'TodoPublicController@getTodo');
        }
    );
}

