<?php

// web routes  for todo
Route::prefix('{guard}/todo')->group(function () {
    Route::resource('todo', 'TodoResourceController');
});

// Public routes for todo
Route::get('todos/', 'TodoPublicController@index');
Route::get('todos/{slug?}', 'TodoPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'TodoResourceController');
            });
            // Public routes for pages
            Route::get('todos/', 'TodoPublicController@index');
            Route::get('todos/{slug?}', 'TodoPublicController@show');
        }
    );
}

