<?php

namespace Litepci\Todo\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TodoTransformer extends TransformerAbstract
{
    public function transform(\Litepci\Todo\Models\Todo $todo)
    {
        return [
            'id'                => $todo->getRouteKey(),
            'key'               => [
                'public'    => $todo->getPublicKey(),
                'route'     => $todo->getRouteKey(),
            ], 
            'title'             => $todo->title,
            'date'              => $todo->date,
            'description'       => $todo->description,
            'slug'              => $todo->slug,
            'deleted_at'        => $todo->deleted_at,
            'url'               => [
                'public'    => trans_url('todo/'.$todo->getPublicKey()),
                'user'      => guard_url('todo/todo/'.$todo->getRouteKey()),
            ], 
            'status'            => trans('app.'.$todo->status),
            'created_at'        => format_date($todo->created_at),
            'updated_at'        => format_date($todo->updated_at),
        ];
    }
}