<?php

namespace Litepci\Todo;

use User;

class Todo
{
    /**
     * $todo object.
     */
    protected $todo;

    /**
     * Constructor.
     */
    public function __construct(\Litepci\Todo\Interfaces\TodoRepositoryInterface $todo)
    {
        $this->todo = $todo;
    }

    /**
     * Returns count of todo.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.todo.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->todo->pushCriteria(new \Litepie\Litepci\Repositories\Criteria\TodoUserCriteria());
        }

        $todo = $this->todo->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('todo::' . $view, compact('todo'))->render();
    }
}
